using System;
using com.epson.bank.driver;

namespace TMS_Sample
{
	public class CDeviceStatus
	{
		bool m_bNoResponse;
		bool m_bOffLine;
		bool m_bCoverOpen;
		bool m_bWaitPaperEject;
		bool m_bMechanicalError;
		bool m_bUnrecoverError;
		bool m_bPaperInsermadiate;
		bool m_bReceiptNearEnd;    // S9000 only
		bool m_bEjectSensorPaper;
		bool m_bReceiptEnd;        // S9000 only
		bool m_bSlipPaperSize;
		bool m_bAsfPaper;
		bool m_bWaitInsert;
		bool m_bMainPocketNearFull;
		bool m_bSubPocketNearFull;

		public CDeviceStatus()
		{
		}

		public void SetNoResponse(bool bNoResponse)
		{
			m_bNoResponse = bNoResponse;
		}

		public bool GetNoResponse()
		{
			return m_bNoResponse;
		}

		public void SetOffLine(bool bOffLine)
		{
			m_bOffLine = bOffLine;
		}

		public bool GetOffLine()
		{
			return m_bOffLine;
		}

		public void SetCoverOpen(bool bCoverOpen)
		{
			m_bCoverOpen = bCoverOpen;
		}

		public bool GetCoverOpen()
		{
			return m_bCoverOpen;
		}

		public void SetWaitPaperEject(bool bWaitPaperEject)
		{
			m_bWaitPaperEject = bWaitPaperEject;
		}

		public bool GetWaitPaperEject()
		{
			return m_bWaitPaperEject;
		}

		public void SetMechanicalError(bool bMechanicalError)
		{
			m_bMechanicalError = bMechanicalError;
		}

		public bool GetMechanicalError()
		{
			return m_bMechanicalError;
		}

		public void SetUnrecoverError(bool bUnrecoverError)
		{
			m_bUnrecoverError = bUnrecoverError;
		}

		public bool GetUnrecoverError()
		{
			return m_bUnrecoverError;
		}

		public void SetPaperInsermadiate(bool bPaperInsermadiate)
		{
			m_bPaperInsermadiate = bPaperInsermadiate;
		}

		public bool GetPaperInsermadiate()
		{
			return m_bPaperInsermadiate;
		}

		public void SetReceiptNearEnd(bool bReceiptNearEnd) // S9000 only
		{
			m_bReceiptNearEnd = bReceiptNearEnd;
		}

		public bool GetReceiptNearEnd() // S9000 only
		{
			return m_bReceiptNearEnd;
		}

		public void SetEjectSensorPaper(bool bEjectSensorPaper)
		{
			m_bEjectSensorPaper = bEjectSensorPaper;
		}

		public bool GetEjectSensorPaper()
		{
			return m_bEjectSensorPaper;
		}

		public void SetReceiptEnd(bool bReceiptEnd) // S9000 only
		{
			m_bReceiptEnd = bReceiptEnd;
		}

		public bool GetReceiptEnd() // S9000 only
		{
			return m_bReceiptEnd;
		}

		public void SetSlipPaperSize(bool bSlipPaperSize)
		{
			m_bSlipPaperSize = bSlipPaperSize;
		}

		public bool GetSlipPaperSize()
		{
			return m_bSlipPaperSize;
		}

		public void SetAsfPaper(bool bAsfPaper)
		{
			m_bAsfPaper = bAsfPaper;
		}

		public bool GetAsfPaper()
		{
			return m_bAsfPaper;
		}

		public void SetWaitInsert(bool bWaitInsert)
		{
			m_bWaitInsert = bWaitInsert;
		}

		public bool GetWaitInsert()
		{
			return m_bWaitInsert;
		}

		public void SetMainPocketNearFull(bool bMainPocketNearFull)
		{
			m_bMainPocketNearFull = bMainPocketNearFull;
		}

		public bool GetMainPocketNearFull()
		{
			return m_bMainPocketNearFull;
		}

		public void SetSubPocketNearFull(bool bSubPocketNearFull)
		{
			m_bSubPocketNearFull = bSubPocketNearFull;
		}

		public bool GetSubPocketNearFull()
		{
			return m_bSubPocketNearFull;
		}
	}
}
