#if !defined(SAMPLE_B504E2A1_C5B4_4f61_8541_BB9B5DC9DFF9)
#define SAMPLE_B504E2A1_C5B4_4f61_8541_BB9B5DC9DFF9

#include "EpsStmApiInterface.h"

class CProperty_1
{
private:
	// Step 1
	HINSTANCE		m_hLibrary;
	int				m_nHandle;
	MF_BASE01		m_Mf_Base01;
	MF_MICR01		m_Mf_Micr01;
	MF_SCAN			m_Mf_ScanFront;
	MF_SCAN			m_Mf_ScanBack;
	MF_PROCESS01	m_Mf_Process;
	BYTE			m_byScanMedia;
	BYTE			m_byLightSourceToScan;
	BYTE			m_byRGBColorDepth;
	BYTE			m_byIRColorDepth;
	short			m_sResolution;
	BYTE			m_byFont;
	bool			m_bParsing;
	bool			m_bClearSpace;
	DWORD			m_dwTransactionNumber;

	bool			m_bBuzzerSuccess;
	bool			m_bBuzzerDoubleFeed;
	bool			m_bBuzzerError;

	// Step 1
	BYTE			m_byPaperMisInsertionDetect;
	BYTE			m_byPaperMisInsertionEject;
	BYTE			m_byPaperMisInsertionCancel;
	BYTE			m_byNoiseDetect;
	BYTE			m_byNoiseEject;
	BYTE			m_byNoiseCancel;
	BYTE			m_byDoubleFeedDetect;
	BYTE			m_byDoubleFeedEject;
	BYTE			m_byDoubleFeedCancel;
	BYTE			m_byBaddataDetect;
	BYTE			m_byBaddataEject;
	BYTE			m_byBaddataCancel;
	BYTE			m_byNodataDetect;
	BYTE			m_byNodataEject;
	BYTE			m_byNodataCancel;
	BYTE			m_byActivation;
	BYTE			m_byConfirmationEject;
	BYTE			m_byConfirmationCancel;
	BYTE			m_byEndorsePrintMode;
	BYTE			m_byPrnDataUnreceiveCancel;

	// Step 2
	BYTE			m_nNumberOfDocuments;

public:
	CProperty_1(void);
	virtual ~CProperty_1(void);

	void			SetLibrary(HINSTANCE hLibrary);
	HINSTANCE		GetLibrary(void);
	void			SetHandle(int nHandle);
	int				GetHandle(void);
	MF_BASE01*		GetMfBase01(void);
	MF_MICR01*		GetMfMicr(void);
	MF_SCAN*		GetMfScanFront(void);
	MF_SCAN*		GetMfScanBack(void);
	MF_PROCESS01*	GetMfProcess(void);
	void			SetScanMedia(BYTE byScanMedia);
	BYTE			GetScanMedia(void) const;
	void			SetLightSourceToScan(BYTE byLightSourceToScan);
	BYTE			GetLightSourceToScan(void);
	void			SetRGBColorDepth(BYTE byColorDepth);
	BYTE			GetRGBColorDepth(void);
	void			SetIRColorDepth(BYTE byColorDepth);
	BYTE			GetIRColorDepth(void);
	void			SetResolution(short sResolution);
	short			GetResolution(void);
	void			SetFont(BYTE byFont);
	BYTE			GetFont(void);
	void			SetParsing(bool bParsing);
	bool			GetParsing(void);
	void			SetClearSpace(bool bClearSpace);
	bool			GetClearSpace(void);
	void			SetTransactionNumber(DWORD dwTransactionNumber);
	DWORD			GetTransactionNumber(void);

	void			SetBuzzerSuccess(bool bBuzzerSuccess);
	bool			GetBuzzerSuccess(void);
	void			SetBuzzerDoubleFeed(bool bBuzzerDoubleFeed);
	bool			GetBuzzerDoubleFeed(void);
	void			SetBuzzerError(bool bBuzzerError);
	bool			GetBuzzerError(void);

	// Step 1
	void			SetActivation(BYTE byActivation);
	BYTE			GetActivation(void);
	void			SetConfirmationEject(BYTE byConfirmationEject);
	BYTE			GetConfirmationEject(void);
	void			SetConfirmationCancel(BYTE byConfirmationCancel);
	BYTE			GetConfirmationCancel(void);
	void			SetPaperMisInsertionDetect(BYTE byPaperMisInsertionDetect);
	BYTE			GetPaperMisInsertionDetect(void);
	void			SetPaperMisInsertionEject(BYTE byPaperMisInsertionEject);
	BYTE			GetPaperMisInsertionEject(void);
	void			SetPaperMisInsertionCancel(BYTE byPaperMisInsertionCancel);
	BYTE			GetPaperMisInsertionCancel(void);
	void			SetNoiseDetect(BYTE byNoiseDetect);
	BYTE			GetNoiseDetect(void);
	void			SetNoiseEject(BYTE byNoiseEject);
	BYTE			GetNoiseEject(void);
	void			SetNoiseCancel(BYTE byNoiseCancel);
	BYTE			GetNoiseCancel(void);
	void			SetDoubleFeedDetect(BYTE byDoubleFeedDetect);
	BYTE			GetDoubleFeedDetect(void);
	void			SetDoubleFeedEject(BYTE byDoubleFeedEject);
	BYTE			GetDoubleFeedEject(void);
	void			SetDoubleFeedCancel(BYTE byDoubleFeedCancel);
	BYTE			GetDoubleFeedCancel(void);
	void			SetBaddataDetect(BYTE byBaddataDetect);
	BYTE			GetBaddataDetect(void);
	void			SetBaddataEject(BYTE byBaddataEject);
	BYTE			GetBaddataEject(void);
	void			SetBaddataCancel(BYTE byBaddataCancel);
	BYTE			GetBaddataCancel(void);
	void			SetNodataDetect(BYTE byNodataDetect);
	BYTE			GetNodataDetect(void);
	void			SetNodataEject(BYTE byNodataEject);
	BYTE			GetNodataEject(void);
	void			SetNodataCancel(BYTE byNodataCancel);
	BYTE			GetNodataCancel(void);
	void			SetEndorsePrintMode(BYTE byEndorsePrintMode);
	BYTE			GetEndorsePrintMode(void);
	void			SetPrnDataUnreceiveCancel(BYTE byPrnDataUnreceiveCancel);
	BYTE			GetPrnDataUnreceiveCancel(void);

	// Step 2
	void			SetNumberOfDocuments(BYTE nNumberOfDocuments);
	BYTE			GetNumberOfDocuments(void) const;
};

#endif  /* !defined(SAMPLE_B504E2A1_C5B4_4f61_8541_BB9B5DC9DFF9) */
