#if !defined(SAMPLE_c4433a24_1f56_4e74_ba3c_49024223cd4f)
#define SAMPLE_c4433a24_1f56_4e74_ba3c_49024223cd4f

#pragma once

#include "Property_1.h"
#include <vector>

class CEndorse
{
private:
	CProperty_1*	m_pCProperty;

	DLL_BiSetPrintStation				BiSetPrintStation;
	DLL_BiSetConfigure					BiSetConfigure;
	DLL_BiSCNPrintText					BiSCNPrintText;
	DLL_BiSCNPrintMemoryImage			BiSCNPrintMemoryImage;
	
	DLL_BiPrintText						BiPrintText;
	DLL_BiPrintImage					BiPrintImage;

	DLL_BiSetTemplatePrintArea			BiSetTemplatePrintArea;
	DLL_BiLoadTemplatePrintArea			BiLoadTemplatePrintArea;
	DLL_BiTemplatePrint					BiTemplatePrint;
	
	std::vector<BYTE>					m_vLogoImage;
public:
	CEndorse(void);
	virtual ~CEndorse(void);

	int		Init(CProperty_1* pProperty);
	int		LoadEndorseFile(void);
	int		SetEndorseStation(void);
	int		PhysicalEndorseFunction(unsigned long ulTransactionNumber);
	int		ElectronicEndorseFunction(unsigned long ulTransactionNumber);

private:
	void	GetAPIProcAddress(void);
};

#endif  /* !defined(SAMPLE_E12B42B0_6059_4168_A065_AD49CD4D2E6A) */
