#include "stdafx.h"
#include "BarcodeParam.h"

CBarcodeParam::CBarcodeParam(void)
{
	m_dwBarcodeTypeMask	= MF_BARCODE_SYMBOL_CODE128;
	m_byBarcodeDetect	= MF_ERROR_SELECT_NODETECT;
	m_byBarcodeEject	= MF_EJECT_SUB_POCKET;
	m_byBarcodeCancel	= MF_CANCEL_DISABLE;
}

CBarcodeParam::~CBarcodeParam(void)
{
}

void CBarcodeParam::SetBarcodeTypeMask(DWORD dwBarcodeTypeMask)
{
	m_dwBarcodeTypeMask = dwBarcodeTypeMask;
}

DWORD CBarcodeParam::GetBarcodeTypeMask(void) const
{
	return m_dwBarcodeTypeMask;
}

void CBarcodeParam::SetBarcodeDetect(BYTE byBarcodeDetect)
{
	m_byBarcodeDetect = byBarcodeDetect;
}

BYTE CBarcodeParam::GetBarcodeDetect(void) const
{
	return m_byBarcodeDetect;
}

void CBarcodeParam::SetBarcodeEject(BYTE byBarcodeEject)
{
	m_byBarcodeEject = byBarcodeEject;
}

BYTE CBarcodeParam::GetBarcodeEject(void) const
{
	return m_byBarcodeEject;
}

void CBarcodeParam::SetBarcodeCancel(BYTE byBarcodeCancel)
{
	m_byBarcodeCancel = byBarcodeCancel;
}

BYTE CBarcodeParam::GetBarcodeCancel(void) const
{
	return m_byBarcodeCancel;
}

