#if !defined(SAMPLE_c9dae550_9ad6_4ba9_86b0_a24dbc811208)
#define SAMPLE_c9dae550_9ad6_4ba9_86b0_a24dbc811208

#pragma once

class CMaintenanceCounter
{
private:
	DWORD	m_dwImageScannedCheckPaper;
	DWORD	m_dwImageScannedCard;
	DWORD	m_dwLineFeeds;                                 // S9000 only
	DWORD	m_dwPumpOperation;
	DWORD	m_dwMicrReads;
	DWORD	m_dwHeadShotA;
	DWORD	m_dwHeadShotB;
	DWORD	m_dwHeadEnergization;                          // S9000 only
	DWORD	m_dwAsfSendingOff;
	DWORD	m_dwHeadLineFeeds;                             // S9000 only
	DWORD	m_dwAutoCutter;                                // S9000 only
	DWORD	m_dwHopper;
	DWORD	m_dwPocketSelect;
	DWORD	m_dwDeviceOperationTime;

public:
	CMaintenanceCounter(void);
	virtual ~CMaintenanceCounter(void);

	void	SetImageScannedCheckPaper(DWORD dwImageScannedCheckPaper);
	DWORD	GetImageScannedCheckPaper(void);
	void	SetImageScannedCard(DWORD dwImageScannedCard);
	DWORD	GetImageScannedCard(void);
	void	SetLineFeeds(DWORD dwLineFeeds);               // S9000 only
	DWORD	GetLineFeeds(void);                            // S9000 only
	void	SetPumpOperation(DWORD dwPumpOperation);
	DWORD	GetPumpOperation(void);
	void	SetMicrReads(DWORD dwMicrReads);
	DWORD	GetMicrReads(void);
	void	SetHeadShotA(DWORD dwHeadShotA);
	DWORD	GetHeadShotA(void);
	void	SetHeadShotB(DWORD dwHeadShotB);
	DWORD	GetHeadShotB(void);
	void	SetHeadEnergization(DWORD dwHeadEnergization); // S9000 only
	DWORD	GetHeadEnergization(void);                     // S9000 only
	void	SetAsfSendingOff(DWORD dwAsfSendingOff);
	DWORD	GetAsfSendingOff(void);
	void	SetHeadLineFeeds(DWORD dwHeadLineFeeds);       // S9000 only
	DWORD	GetHeadLineFeeds(void);                        // S9000 only
	void	SetAutoCutter(DWORD dwAutoCutter);             // S9000 only
	DWORD	GetAutoCutter(void);                           // S9000 only
	void	SetHopper(DWORD dwHopper);
	DWORD	GetHopper(void);
	void	SetPocketSelect(DWORD dwPocketSelect);
	DWORD	GetPocketSelect(void);
	void	SetDeviceOperationTime(DWORD dwDeviceOperationTime);
	DWORD	GetDeviceOperationTime(void);
};

#endif  /* !defined(SAMPLE_c9dae550_9ad6_4ba9_86b0_a24dbc811208) */
