Attribute VB_Name = "FunctionModule"
Option Explicit

Rem: Function
Rem: Step 1
Public Declare Function BiOpenMonPrinter Lib "EpsStmApiWrapper.dll" (ByVal nType As Integer, ByVal pName As String) As Long
Public Declare Function BiCloseMonPrinter Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long
Public Declare Function BiSCNMICRFunctionContinuously Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal Struct As Object, ByVal wFunction As Integer) As Long
Public Declare Function BiSCNMICRSetStatusBackWnd Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal hwnd As Long, ByRef TransactionNumber As Long, ByRef MainStatus As Integer, ByRef SubStatus As Integer) As Long
Public Declare Function BiSCNMICRCancelStatusBack Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long
Public Declare Function BiSCNMICRCancelFunction Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal EjectType As Integer) As Long
Public Declare Function BiSCNSelectScanUnit Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bSelectUnit As Byte) As Long
Public Declare Function BiSCNSetImageTypeOption Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal ImageChannel As Long) As Long
Public Declare Function BiSCNSelectScanFace Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bFace As Byte) As Long
Public Declare Function BiSetBehaviorToScnResult Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bEject As Byte, ByVal bStamp As Byte, ByVal bNextCheck As Byte) As Long
Public Declare Function BiSetWaterfallMode Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal WaterfallMode As Byte) As Long
Public Declare Function BiGetStatus Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByRef lpStatus As Long) As Long
Public Declare Function BiCancelError Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long

Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (Destination As Any, Source As Any, ByVal Length As Long)
Public Declare Function MessageBox Lib "user32" Alias "MessageBoxA" (ByVal hwnd As Long, ByVal lpText As String, ByVal lpCaption As String, ByVal wType As Long) As Long

Rem: Step 2
Public Declare Function BiSCNSetImageFormat Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bFormat As Byte) As Long
Public Declare Function BiSCNSelectScanImage Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bImageType As Byte) As Long
Public Declare Function BiSCNSetImageQuality Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bColorDepth As Byte, ByVal bThreshold As Byte, ByVal bColor As Byte, ByVal ByvalbExOption As Byte) As Long
Public Declare Function BiGetScanImage Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal TransactionNumber As Long, ByRef mfScan As MF_SCAN) As Long
Public Declare Function BiGetTransactionNumber Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByRef TransactionNumber As Long) As Long

Public Declare Sub memcpy Lib "kernel32" Alias "RtlMoveMemory" (pDest As Any, pSrc As Any, ByVal iSize&)
Public Declare Function GlobalFree Lib "kernel32" (ByVal hMem As Long) As Long
Public Declare Function CreateDIBitmap Lib "gdi32" (ByVal hdc As Long, lpInfoHeader As BITMAPINFOHEADER, ByVal dwUsage As Long, ByVal lpInitBits As Long, lpInitInfo As BITMAPINFO_1BIT, ByVal wUsage As Long) As Long
Public Declare Function GetDC Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function ReleaseDC Lib "user32" (ByVal hwnd As Long, ByVal hdc As Long) As Long
Public Declare Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Public Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long
Public Declare Function GetObject Lib "gdi32" Alias "GetObjectA" (ByVal hObject As Long, ByVal nCount As Long, lpObject As Any) As Long
Public Declare Function SetStretchBltMode Lib "gdi32" (ByVal hdc As Long, ByVal nStretchMode As Long) As Long
Public Declare Function StretchBlt Lib "gdi32" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long
Public Declare Function CreateCompatibleDC Lib "gdi32" (ByVal hdc As Long) As Long
Public Declare Function GetClientRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Public Declare Function DeleteDC Lib "gdi32" (ByVal hdc As Long) As Long
Public Declare Function ReadProcessMemory Lib "kernel32" (ByVal hProcess As Long, lpBaseAddress As Any, lpBuffer As Any, ByVal nSize As Long, lpNumberOfBytesWritten As Long) As Long
Public Declare Function GetWindowThreadProcessId Lib "user32" (ByVal hwnd As Long, lpdwProcessId As Long) As Long
Public Declare Function OpenProcess Lib "kernel32" (ByVal dwDesiredAccess As Long, ByVal bInheritHandle As Long, ByVal dwProcessId As Long) As Long

Public Const CBM_INIT = &H4     '  initialize bitmap
Public Const DIB_RGB_COLORS = 0 '  color table in RGBs
Public Const HALFTONE = 4
Public Const SRCCOPY = &HCC0020 ' (DWORD) dest = source

Public Type BITMAPINFOHEADER '40 bytes
        biSize As Long
        biWidth As Long
        biHeight As Long
        biPlanes As Integer
        biBitCount As Integer
        biCompression As Long
        biSizeImage As Long
        biXPelsPerMeter As Long
        biYPelsPerMeter As Long
        biClrUsed As Long
        biClrImportant As Long
End Type
Public Type RGBQUAD
        rgbBlue As Byte
        rgbGreen As Byte
        rgbRed As Byte
        rgbReserved As Byte
End Type
Public Type BITMAPINFO_1BIT
        bmiHeader As BITMAPINFOHEADER
        bmiColors(1 To 2) As RGBQUAD
End Type
Public Type BITMAPINFO_8BIT
        bmiHeader As BITMAPINFOHEADER
        bmiColors(1 To 256) As RGBQUAD
End Type
Public Type BITMAPINFO_24BIT
        bmiHeader As BITMAPINFOHEADER
        bmiColors(0) As RGBQUAD
End Type
Public Type BITMAPFILEHEADER
        bfType(1 To 2) As Byte
        bfSize(1 To 4) As Byte
        bfReserved1(1 To 2) As Byte
        bfReserved2(1 To 2) As Byte
        bfOffBits(1 To 4) As Byte
End Type
Public Type BITMAP '14 bytes
        bmType As Long
        bmWidth As Long
        bmHeight As Long
        bmWidthBytes As Long
        bmPlanes As Integer
        bmBitsPixel As Integer
        bmBits As Long
End Type
Public Type RECT
        Left As Long
        Top As Long
        Right As Long
        Bottom As Long
End Type

Rem: Step 3
Public Declare Function BiGetMicrText Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal TransactionNumber As Long, ByRef mfMicr As MF_MICR01) As Long
Public Declare Function BiMICRClearSpaces Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal byClearSpaces As Byte) As Long
Public Declare Function BiMICRCleaning Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long

Rem: Step 4
Public Declare Function BiStartEndorsementSetStatusBackWnd Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal hwnd As Long, ByRef TransactionNumber As Long) As Long
Public Declare Function BiStartEndorsementCancelStatusBack Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long
Public Declare Function BiEndEndorsementSetStatusBackWnd Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal hwnd As Long, ByRef TransactionNumber As Long) As Long
Public Declare Function BiEndEndorsementCancelStatusBack Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long
Public Declare Function BiLoadTemplatePrintArea Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal FilePath As String, ByRef plLoadNum As Long) As Long
Public Declare Function BiTemplatePrint Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal nFunction As Long) As Long
Public Declare Function BiSetTemplatePrintArea Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal lAreaSelectMode As Long, ByVal szAreaName As String, ByRef psInfo As PRINTAREAINFO, ByVal lTransactionNumber As Long) As Long
Public Declare Function BiSCNPrintMemoryImage Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal lTransactionNumber As Long, ByRef pbImageData As Byte, ByVal lDataSize As Long) As Long
Public Declare Function BiSCNPrintText Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal lTransactionNumber As Long, ByVal szText As String, ByRef mf_Decorate As mf_Decorate) As Long
Public Declare Function BiPrintImage Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal pFileName As String) As Long
Public Declare Function BiSetPrintStation Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal wFunction As Integer) As Long
' BiPrintText calls it through BiPrintTextToVB of VBWrapper
Public Declare Function BiPrintTextToVB Lib "VBWrapper.dll" (ByVal Handle As Long, ByVal szText As String, ByRef ptDecorate As mf_Decorate) As Long

Public Declare Sub GetLocalTime Lib "kernel32" (lpSystemTime As SYSTEMTIME)
Public Declare Function GetFileSize Lib "kernel32" (ByVal hFile As Long, lpFileSizeHigh As Long) As Long
Public Declare Function ReadFile Lib "kernel32" (ByVal hFile As Long, ByRef lpBuffer As Any, ByVal nNumberOfBytesToRead As Long, ByRef lpNumberOfBytesRead As Long, ByRef lpOverlapped As Long) As Long
Public Declare Function CreateFile Lib "kernel32" Alias "CreateFileA" (ByVal lpFileName As String, ByVal dwDesiredAccess As Long, ByVal dwShareMode As Long, _
                                                                         ByVal lpSecurityAttributes As Long, ByVal dwCreationDisposition As Long, ByVal dwFlagsAndAttributes As Long, ByVal hTemplateFile As Long) As Long
Public Const GENERIC_READ As Long = &H80000000
Public Const FILE_SHARE_READ As Long = &H1
Public Const OPEN_EXISTING As Long = 3
Public Const FILE_ATTRIBUTE_NORMAL As Long = &H80
Public Const INVALID_HANDLE_VALUE As Long = -1

Public Type SYSTEMTIME
    nYear As Integer
    nMonth As Integer
    nDayOfWeek As Integer
    nDay As Integer
    nHour As Integer
    nMinute As Integer
    nSecond As Integer
    nMilliseconds As Integer
End Type

