VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "MicrResult"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

Private m_dTransactionNumber As Double
Private m_nRet As Integer
Private m_byStatus As Byte
Private m_byDetail As Byte
Private m_byMicrStr(1 To MF_MICR_CHAR_MAX) As Byte
Private m_byAccountNumber(1 To MF_MICR_CHAR_MAX) As Byte
Private m_byAmount(1 To MF_MICR_CHAR_MAX) As Byte
Private m_byBankNumber(1 To MF_MICR_CHAR_MAX) As Byte
Private m_bySerialNumber(1 To MF_MICR_CHAR_MAX) As Byte
Private m_byEPC(1 To MF_MICR_CHAR_MAX) As Byte
Private m_byTransitNumber(1 To MF_MICR_CHAR_MAX) As Byte
Private m_lCheckType As Long
Private m_lCountryCode As Long
Private m_byOnUSField(1 To MF_MICR_CHAR_MAX) As Byte
Private m_byAuxiliatyOnUSField(1 To MF_MICR_CHAR_MAX) As Byte

Private Sub Class_Initialize()

    m_dTransactionNumber = 0
    m_nRet = 0
    m_byStatus = 0
    m_byDetail = 0
    m_lCheckType = 0
    m_lCountryCode = 0
    Erase m_byMicrStr
    Erase m_byAccountNumber
    Erase m_byAmount
    Erase m_byBankNumber
    Erase m_bySerialNumber
    Erase m_byEPC
    Erase m_byTransitNumber
    Erase m_byOnUSField

End Sub

Public Sub SetTransactionNumber(ByVal dTransactionNumber As Double)

    m_dTransactionNumber = dTransactionNumber

End Sub

Public Function GetTransactionNumber() As Double

    GetTransactionNumber = m_dTransactionNumber

End Function

Public Sub SetResult(ByRef byRet() As Byte)

    Call CopyMemory(m_nRet, byRet(1), 4)

End Sub

Public Function GetResult() As Integer

    GetResult = m_nRet

End Function

Public Sub SetStatus(ByVal byStatus As Byte)

    m_byStatus = byStatus

End Sub

Public Function GetStatus() As Byte

    GetStatus = m_byStatus

End Function

Public Sub SetDetail(ByVal byDetail As Byte)

    m_byDetail = byDetail

End Sub

Public Function GetDetail() As Byte

    GetDetail = m_byDetail

End Function

Public Sub SetMicrStr(ByRef byMicrStr() As Byte)

    Call CopyMemory(m_byMicrStr(1), byMicrStr(1), MF_MICR_CHAR_MAX)

End Sub

Public Function GetMicrStr() As Byte()
    
    Dim byMicrStr(1 To MF_MICR_CHAR_MAX) As Byte

    Call CopyMemory(byMicrStr(1), m_byMicrStr(1), MF_MICR_CHAR_MAX)
    
    GetMicrStr = byMicrStr

End Function

Public Sub SetAccountNumber(ByRef byAccountNumber() As Byte)
    
    Call CopyMemory(m_byAccountNumber(1), byAccountNumber(1), MF_MICR_CHAR_MAX)
    
End Sub

Public Function GetAccountNumber() As Byte()
    
    Dim byAccountNumber(1 To MF_MICR_CHAR_MAX) As Byte

    Call CopyMemory(byAccountNumber(1), m_byAccountNumber(1), MF_MICR_CHAR_MAX)
    
    GetAccountNumber = byAccountNumber
    
End Function

Public Sub SetAmount(ByRef byAmount() As Byte)
    
    Call CopyMemory(m_byAmount(1), byAmount(1), MF_MICR_CHAR_MAX)

End Sub

Public Function GetAmount() As Byte()
    
    Dim byAmount(1 To MF_MICR_CHAR_MAX) As Byte

    Call CopyMemory(byAmount(1), m_byAmount(1), MF_MICR_CHAR_MAX)
    
    GetAmount = byAmount

End Function

Public Sub SetBankNumber(ByRef byBankNumber() As Byte)
    
    Call CopyMemory(m_byBankNumber(1), byBankNumber(1), MF_MICR_CHAR_MAX)

End Sub

Public Function GetBankNumber() As Byte()
    
    Dim byBankNumber(1 To MF_MICR_CHAR_MAX) As Byte

    Call CopyMemory(byBankNumber(1), m_byBankNumber(1), MF_MICR_CHAR_MAX)
    
    GetBankNumber = byBankNumber

End Function

Public Sub SetSerialNumber(ByRef bySerialNumber() As Byte)
    
    Call CopyMemory(m_bySerialNumber(1), bySerialNumber(1), MF_MICR_CHAR_MAX)

End Sub

Public Function GetSerialNumber() As Byte()
    
    Dim bySerialNumber(1 To MF_MICR_CHAR_MAX) As Byte

    Call CopyMemory(bySerialNumber(1), m_bySerialNumber(1), MF_MICR_CHAR_MAX)
    
    GetSerialNumber = bySerialNumber

End Function

Public Sub SetEPC(ByRef byEPC() As Byte)

    Call CopyMemory(m_byEPC(1), byEPC(1), MF_MICR_CHAR_MAX)

End Sub

Public Function GetEPC() As Byte()
    
    Dim byEPC(1 To MF_MICR_CHAR_MAX) As Byte

    Call CopyMemory(byEPC(1), m_byEPC(1), MF_MICR_CHAR_MAX)
    
    GetEPC = byEPC
    
End Function

Public Sub SetTransitNumber(ByRef byTransitNumber() As Byte)

    Call CopyMemory(m_byTransitNumber(1), byTransitNumber(1), MF_MICR_CHAR_MAX)

End Sub

Public Function GetTransitNumber() As Byte()
    
    Dim byTransitNumber(1 To MF_MICR_CHAR_MAX) As Byte

    Call CopyMemory(byTransitNumber(1), m_byTransitNumber(1), MF_MICR_CHAR_MAX)
    
    GetTransitNumber = byTransitNumber

End Function

Public Sub SetCheckType(lCheckType As Long)

    m_lCheckType = lCheckType

End Sub

Public Function GetCheckType() As Long

    GetCheckType = m_lCheckType

End Function

Public Sub SetCountryCode(lCountryCode As Long)

    m_lCountryCode = lCountryCode
    
End Sub

Public Function GetCountryCode() As Long

    GetCountryCode = m_lCountryCode

End Function

Public Sub SetOnUSField(ByRef byOnUSField() As Byte)

    Call CopyMemory(m_byOnUSField(1), byOnUSField(1), MF_MICR_CHAR_MAX)

End Sub

Public Function GetOnUSField() As Byte()
    
    Dim byOnUSField(1 To MF_MICR_CHAR_MAX) As Byte

    Call CopyMemory(byOnUSField(1), m_byOnUSField(1), MF_MICR_CHAR_MAX)
    
    GetOnUSField = byOnUSField

End Function

Public Sub SetAuxiliatyOnUSField(ByRef byAuxiliatyOnUSField() As Byte)

    Call CopyMemory(m_byAuxiliatyOnUSField(1), byAuxiliatyOnUSField(1), MF_MICR_CHAR_MAX)

End Sub

Public Function GetAuxiliatyOnUSField() As Byte()
    
    Dim byAuxiliatyOnUSField(1 To MF_MICR_CHAR_MAX) As Byte

    Call CopyMemory(byAuxiliatyOnUSField(1), m_byAuxiliatyOnUSField(1), MF_MICR_CHAR_MAX)
    
    GetAuxiliatyOnUSField = byAuxiliatyOnUSField

End Function



