Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace TMS_Sample
	Public NotInheritable Class ConstComStr
		Private Sub New()
		End Sub
		' Mutex
		Public Const STR_NAME_MUTEX As String = "Mutex EPSON TM-S Sample Program Step8"

		' Resource String

		' Main Dialog
		' Step 1
		Public Const STR_SAMPLEDLG_TITLE As String = "TM-S Sample Program"
		Public Const STR_SAMPLEDLG_BUTTON_SCAN As String = "Scan"
		Public Const STR_SAMPLEDLG_BUTTON_SCANCANCEL As String = "Cancel"
		Public Const STR_SAMPLEDLG_BUTTON_EXIT As String = "Exit"

		' Step 2
		Public Const STR_SAMPLEDLG_BUTTON_CONFIG As String = "Configuration"

		' Step 3
		Public Const STR_SAMPLEDLG_STATIC_MICRTEXT As String = "MICR"
		Public Const STR_SAMPLEDLG_BUTTON_MICRCLEANING As String = "MICR Cleaning"

		' Step 8
		Public Const STR_SAMPLEDLG_BUTTON_DEVICESTATUS As String = "Device Status"
		Public Const STR_SAMPLEDLG_BUTTON_DEVICEINFO As String = "Device Info"
		Public Const STR_SAMPLEDLG_STATIC_BARCODEDATA As String = "Barcode"

		' Config Dialog
		' Step 2
		Public Const STR_CONFIGDLG_BUTTON_OK As String = "OK"
		Public Const STR_CONFIGDLG_BUTTON_CANCEL As String = "Cancel"

		Public Const STR_CONFIGDLG_GROUP_SCANNING As String = "Scan"
		Public Const STR_CONFIGDLG_GROUP_SCANNINGMEDIA As String = "Media"
		Public Const STR_CONFIGDLG_GROUP_LIGHTSOURCE As String = "Scan Type"
		Public Const STR_CONFIGDLG_GROUP_RGBCOLORDEPTH As String = "RGB Image Type"
		Public Const STR_CONFIGDLG_GROUP_IRCOLORDEPTH As String = "IR Image Type"
		Public Const STR_CONFIGDLG_STATIC_RESOLUTION As String = "Resolution"
		Public Const STR_CONFIGDLG_RADIO_SM_CHECKPAPER As String = "Check"
		Public Const STR_CONFIGDLG_RADIO_SM_CARD As String = "Card"
		Public Const STR_CONFIGDLG_RADIO_IC_RGB As String = "RGB"
		Public Const STR_CONFIGDLG_RADIO_IC_IR As String = "IR"
		Public Const STR_CONFIGDLG_RADIO_IC_RGBIR As String = "RGB+IR"
		Public Const STR_CONFIGDLG_RADIO_RGBCD_COLOR As String = "Color"
		Public Const STR_CONFIGDLG_RADIO_RGBCD_GRAY As String = "Grayscale"
		Public Const STR_CONFIGDLG_RADIO_RGBCD_BW As String = "B / W"
		Public Const STR_CONFIGDLG_RADIO_IRCD_GRAY As String = "Grayscale"
		Public Const STR_CONFIGDLG_RADIO_IRCD_BW As String = "B / W"
		Public Const STR_CONFIGDLG_CHECK_SC_SAVEFILE As String = "Save to harddisk"

		Public Const STR_CONFIGDLG_COMBO_RE_600600 As String = "600dpi x 600dpi"
		Public Const STR_CONFIGDLG_COMBO_RE_300300 As String = "300dpi x 300dpi"
		Public Const STR_CONFIGDLG_COMBO_RE_240240 As String = "240dpi x 240dpi"
		Public Const STR_CONFIGDLG_COMBO_RE_200200 As String = "200dpi x 200dpi"
		Public Const STR_CONFIGDLG_COMBO_RE_120120 As String = "120dpi x 120dpi"
		Public Const STR_CONFIGDLG_COMBO_RE_100100 As String = "100dpi x 100dpi"

		' Step 3
		Public Const STR_CONFIGDLG_GROUP_MICR As String = "MICR"
		Public Const STR_CONFIGDLG_GROUP_MICRFONT As String = "MICR Font"
		Public Const STR_CONFIGDLG_RADIO_MF_E13B As String = "E13B"
		Public Const STR_CONFIGDLG_RADIO_MF_CMC7 As String = "CMC7"
		Public Const STR_CONFIGDLG_CHECK_MI_CLEARSPACE As String = "Clear Spaces"
		Public Const STR_CONFIGDLG_CHECK_MI_SAVEFILE As String = "Save to harddisk"

		' Step 8
		Public Const STR_CONFIGDLG_GROUP_ERROR As String = "Error Detection"
		Public Const STR_CONFIGDLG_GROUP_PAPERINSERTION As String = "Mis-insertion"
		Public Const STR_CONFIGDLG_GROUP_NOISE As String = "Noise"
		Public Const STR_CONFIGDLG_GROUP_DOUBLEFEED As String = "Double Feed"
		Public Const STR_CONFIGDLG_GROUP_BADDATA As String = "Bad Data"
		Public Const STR_CONFIGDLG_GROUP_NODATA As String = "No Data"
		Public Const STR_CONFIGDLG_GROUP_BARCODE As String = "Barcode Decode Error"

		Public Const STR_CONFIGDLG_CHECK_PI_DETECT As String = "Enable"
		Public Const STR_CONFIGDLG_CHECK_PI_CANCEL As String = "Cancel"
		Public Const STR_CONFIGDLG_STATIC_PI_EJECTPOCKET As String = "Exit Pocket"
		Public Const STR_CONFIGDLG_COMBO_PI_EJ_MAINPOCKET As String = "Main"
		Public Const STR_CONFIGDLG_COMBO_PI_EJ_SUBPOCKET As String = "Sub"
		Public Const STR_CONFIGDLG_CHECK_NO_DETECT As String = "Enable"
		Public Const STR_CONFIGDLG_CHECK_NO_CANCEL As String = "Cancel"
		Public Const STR_CONFIGDLG_STATIC_NO_EJECTPOCKET As String = "Exit Pocket"
		Public Const STR_CONFIGDLG_COMBO_NO_EJ_MAINPOCKET As String = "Main"
		Public Const STR_CONFIGDLG_COMBO_NO_EJ_SUBPOCKET As String = "Sub"
		Public Const STR_CONFIGDLG_CHECK_DF_DETECT As String = "Enable"
		Public Const STR_CONFIGDLG_CHECK_DF_CANCEL As String = "Cancel"
		Public Const STR_CONFIGDLG_STATIC_DF_EJECTPOCKET As String = "Exit Pocket"
		Public Const STR_CONFIGDLG_COMBO_DF_EJ_MAINPOCKET As String = "Main"
		Public Const STR_CONFIGDLG_COMBO_DF_EJ_SUBPOCKET As String = "Sub"
		Public Const STR_CONFIGDLG_CHECK_BD_DETECT As String = "Enable"
		Public Const STR_CONFIGDLG_CHECK_BD_CANCEL As String = "Cancel"
		Public Const STR_CONFIGDLG_STATIC_BD_EJECTPOCKET As String = "Exit Pocket"
		Public Const STR_CONFIGDLG_COMBO_BD_EJ_MAINPOCKET As String = "Main"
		Public Const STR_CONFIGDLG_COMBO_BD_EJ_SUBPOCKET As String = "Sub"
		Public Const STR_CONFIGDLG_CHECK_ND_DETECT As String = "Enable"
		Public Const STR_CONFIGDLG_CHECK_ND_CANCEL As String = "Cancel"
		Public Const STR_CONFIGDLG_STATIC_ND_EJECTPOCKET As String = "Exit Pocket"
		Public Const STR_CONFIGDLG_COMBO_ND_EJ_MAINPOCKET As String = "Main"
		Public Const STR_CONFIGDLG_COMBO_ND_EJ_SUBPOCKET As String = "Sub"
		Public Const STR_CONFIGDLG_CHECK_BA_DETECT As String = "Enable"
		Public Const STR_CONFIGDLG_CHECK_BA_CANCEL As String = "Cancel"
		Public Const STR_CONFIGDLG_STATIC_BA_EJECTPOCKET As String = "Exit Pocket"
		Public Const STR_CONFIGDLG_COMBO_BA_EJ_MAINPOCKET As String = "Main"
		Public Const STR_CONFIGDLG_COMBO_BA_EJ_SUBPOCKET As String = "Sub"

		Public Const STR_CONFIGDLG_LIST_BARCODE_SYMBOL_CODABAR As String = "Codabar"
		Public Const STR_CONFIGDLG_LIST_BARCODE_SYMBOL_CODE128 As String = "Code 128"
		Public Const STR_CONFIGDLG_LIST_BARCODE_SYMBOL_CODE39 As String = "Code 39"
		Public Const STR_CONFIGDLG_LIST_BARCODE_SYMBOL_ITF As String = "ITF"
		Public Const STR_CONFIGDLG_LIST_BARCODE_SYMBOL_EAN_JAN As String = "EAN"
		Public Const STR_CONFIGDLG_LIST_BARCODE_SYMBOL_UPC_A As String = "UPC A"
		Public Const STR_CONFIGDLG_LIST_BARCODE_SYMBOL_UPC_E As String = "UPC E"

		' DeviceStatus Dialog
		' Step 8
		Public Const STR_DEVICESTATUSDLG_GROUP_DEVICESTATUS As String = "Device Status"
		Public Const STR_DEVICESTATUSDLG_GROUP_INKSTATU As String = "Ink Status"

		Public Const STR_DEVICESTATUSDLG_BUTTON_CLOSE As String = "Close"

		Public Const STR_DEVICESTATUSDLG_CHECK_NORESPONSE As String = "ASB_NO_RESPONSE"
		Public Const STR_DEVICESTATUSDLG_CHECK_OFFLINE As String = "ASB_OFF_LINE"
		Public Const STR_DEVICESTATUSDLG_CHECK_COVEROPEN As String = "ASB_COVER_OPEN"
		Public Const STR_DEVICESTATUSDLG_CHECK_WAITPAPEREJECT As String = "ASB_WAIT_PAPER_EJECT"
		Public Const STR_DEVICESTATUSDLG_CHECK_MECHANICALERR As String = "ASB_MECHANICAL_ERR"
		Public Const STR_DEVICESTATUSDLG_CHECK_UNRECOVERERR As String = "ASB_UNRECOVER_ERR"
		Public Const STR_DEVICESTATUSDLG_CHECK_PAPERINTERMEDIATE As String = "ASB_PAPER_INTERMEDIATE"
		Public Const STR_DEVICESTATUSDLG_CHECK_RECEIPTNEAREND As String = "ASB_RECEIPT_NEAR_END"
		Public Const STR_DEVICESTATUSDLG_CHECK_EJECTSENSORNOPAPER As String = "ASB_EJECT_SENSOR_PAPER"
		Public Const STR_DEVICESTATUSDLG_CHECK_RECEIPTEND As String = "ASB_RECEIPT_END"
		Public Const STR_DEVICESTATUSDLG_CHECK_SLIPPAPERSIZE As String = "ASB_SLIP_PAPER_SIZE"
		Public Const STR_DEVICESTATUSDLG_CHECK_ASFPAPER As String = "ASB_ASF_PAPER"
		Public Const STR_DEVICESTATUSDLG_CHECK_WAITINSERT As String = "ASB_WAIT_INSERT"
		Public Const STR_DEVICESTATUSDLG_CHECK_MAINPOCKETNEARFULL As String = "ASB_MAIN_POCKET_NEAR_FULL"
		Public Const STR_DEVICESTATUSDLG_CHECK_SUBPOCKETNEARFULL As String = "ASB_SUB_POCKET_NEAR_FULL"
		Public Const STR_DEVICESTATUSDLG_CHECK_INKNEAREND As String = "INK_ASB_NEAR_END"
		Public Const STR_DEVICESTATUSDLG_CHECK_INKEND As String = "INK_ASB_END"
		Public Const STR_DEVICESTATUSDLG_CHECK_INKNOCARTRIDGE As String = "INK_ASB_NO_CARTRIDGE"
		Public Const STR_DEVICESTATUSDLG_CHECK_INKCLEANING As String = "INK_ASB_CLEANING"

		' DeviceInfo Dialog
		' Step 8
		Public Const STR_DEVICEINFODLG_GROUP_DEVICEINFO As String = "Device Information"
		Public Const STR_DEVICEINFODLG_GROUP_MAINTENANCECOUNTER As String = "Maintenance Counters"

		Public Const STR_DEVICEINFODLG_BUTTON_CLOSE As String = "Close"

		Public Const STR_DEVICEINFODLG_STATIC_DI_DEVICENAME As String = "Device Name"
		Public Const STR_DEVICEINFODLG_STATIC_DI_FIRMWAREVERSION As String = "Firmware Version"
		Public Const STR_DEVICEINFODLG_STATIC_DI_MANUFACTURE As String = "Manufacture"
		Public Const STR_DEVICEINFODLG_STATIC_DI_SERIALNUMBER As String = "Serial Number"
		Public Const STR_DEVICEINFODLG_STATIC_DI_SPEED As String = "Scan Speed"
		Public Const STR_DEVICEINFODLG_STATIC_DI_POCKET As String = "Pocket"
		Public Const STR_DEVICEINFODLG_STATIC_MC_CHECKSCAN As String = "Check Paper Scanned"
		Public Const STR_DEVICEINFODLG_STATIC_MC_CARDSCAN As String = "Card Scanned"
		Public Const STR_DEVICEINFODLG_STATIC_MC_LINEFEEDS As String = "Lines Fed (Roll Paper)"
		Public Const STR_DEVICEINFODLG_STATIC_MC_PUMPOPERATION As String = "Pump Operations"
		Public Const STR_DEVICEINFODLG_STATIC_MC_MICRREADS As String = "MICR reads"
		Public Const STR_DEVICEINFODLG_STATIC_MC_HEADSHOTA As String = "Head shot A"
		Public Const STR_DEVICEINFODLG_STATIC_MC_HEADSHOTB As String = "Head shot B"
		Public Const STR_DEVICEINFODLG_STATIC_MC_HEADENERGIZATION As String = "Thermal Head Energization"
		Public Const STR_DEVICEINFODLG_STATIC_MC_ASFSENDINGOFF As String = "Check Paper Fed"
		Public Const STR_DEVICEINFODLG_STATIC_MC_HEADLINEFEEDS As String = "Lines Fed (Thermal Head)"
		Public Const STR_DEVICEINFODLG_STATIC_MC_AUTOCUTTER As String = "Autocutter Drive"
		Public Const STR_DEVICEINFODLG_STATIC_MC_HOPPER As String = "Hopper Open/Close"
		Public Const STR_DEVICEINFODLG_STATIC_MC_POCKETSELECT As String = "Pocket Switch"
		Public Const STR_DEVICEINFODLG_STATIC_MC_DEVICEOPERATIONTIME As String = "Duration of Product Operation"

		' Message String
		Public Const MSG_00_000 As String = "Cannot communicate with the scanner." & vbCr & vbLf & "Make sure the scanner is connected and is powered on."
		Public Const MSG_00_001 As String = "Failed to open ini file. " & vbCr & vbLf & "Please put it in the same folder the executable file is located."
		Public Const MSG_00_002 As String = "Failed to open bmp file. " & vbCr & vbLf & "Please put it in the same folder the executable file is located."
		Public Const MSG_01_000 As String = "No roll paper." & vbCr & vbLf & "install roll paper, close the cover and then click OK."
		Public Const MSG_01_001 As String = "Cover is open." & vbCr & vbLf & "Close the cover and then click OK."
		Public Const MSG_01_002 As String = "Ink is low." & vbCr & vbLf & "Replace the ink cartridge."
		Public Const MSG_02_000 As String = "Paper jam occurred." & vbCr & vbLf & "Remove jammed paper and then click OK."
		Public Const MSG_03_000 As String = "Undefined parameter."
		Public Const MSG_03_001 As String = "The port is already used by the other application." & vbCr & vbLf & " Close the application."
		Public Const MSG_03_002 As String = "Device is powered off or is not connected.." & vbCr & vbLf & " Check the device status."
		Public Const MSG_03_003 As String = "The installed USB driver is not supported." & vbCr & vbLf & "Install the correct driver."
		Public Const MSG_03_004 As String = "Insufficient memory." & vbCr & vbLf & " Close other applications or add more memory."
		Public Const MSG_03_005 As String = "The handle parameter is incorrect." & vbCr & vbLf & " Ensure the handle parameter is the return value of BiOpenMonPrinter."
		Public Const MSG_03_006 As String = "API is not finished correctly." & vbCr & vbLf & " Check the device status."
		Public Const MSG_03_007 As String = "Accessing device is not possible." & vbCr & vbLf & " The device is used by another application." & vbCr & vbLf & "Close other applications and try again."
		Public Const MSG_03_008 As String = "Incorrect parameter."
		Public Const MSG_03_009 As String = "This API is not available." & vbCr & vbLf & " Ensure BiESCNEnable is called."
		Public Const MSG_03_010 As String = "The device is offline." & vbCr & vbLf & " Check the device status and try again."
		Public Const MSG_03_011 As String = "The device is not EPSON product."
		Public Const MSG_03_012_00 As String = "The callback is not registered."
		Public Const MSG_03_012_01 As String = "The scanner is not in operation." & vbCr & vbLf & " Call it while the scanner is scanning."
		Public Const MSG_03_013 As String = "Insufficient memory."
		Public Const MSG_03_014 As String = "Incorrect registry information.. " & vbCr & vbLf & "Reinstall the driver."
		Public Const MSG_03_015 As String = "Paper insertion timeout." & vbCr & vbLf & "Insert the paper and try again."
		Public Const MSG_03_016 As String = "Another API is running." & vbCr & vbLf & " Retry after it completed."
		Public Const MSG_03_017 As String = "Cannot execute because MICR reading is in progress." & vbCr & vbLf & "Try again when it is completed."
		Public Const MSG_03_018 As String = "Cannot execute because scanning is in progress." & vbCr & vbLf & "Try again when it is completed."
		Public Const MSG_03_019 As String = "The device is being reset." & vbCr & vbLf & " Try again after the reset is completed."
		Public Const MSG_03_020 As String = "Reading operation is canceled."
		Public Const MSG_03_021 As String = "MICR reading failed."
		Public Const MSG_03_022 As String = "Image scanning failed."
		Public Const MSG_03_023 As String = "Too many lines to print. " & vbCr & vbLf & " Reduce the lines."
		Public Const MSG_03_024 As String = "Double feed is detected."
		Public Const MSG_03_025 As String = "Paper jam occurred." & vbCr & vbLf & " Operation is canceled."
		Public Const MSG_03_026 As String = "Cover open." & vbCr & vbLf & " Operation is canceled."
		Public Const MSG_03_027 As String = "No MICR data."
		Public Const MSG_03_028 As String = "MICR data is incorrect."
		Public Const MSG_03_029 As String = "External noise error."
		Public Const MSG_03_030 As String = "Image compressing error." & vbCr & vbLf & "Processing is canceled."
		Public Const MSG_03_031 As String = "Paper exists on the feed path. " & vbCr & vbLf & "Remove the paper."
		Public Const MSG_03_032 As String = "Paper insertion error."
		Public Const MSG_03_033 As String = "Cannot execute because continuous scanning is in progress." & vbCr & vbLf & " Try again when it is completed."
		Public Const MSG_03_034 As String = "Cannot execute because one by one scanning is in progress." & vbCr & vbLf & "Try again when it is completed."
		Public Const MSG_03_035 As String = "Cannot execute because card scanning is in progress." & vbCr & vbLf & " Try again when it is completed."
		Public Const MSG_03_036 As String = "Cannot execute because another application is printing on roll paper." & vbCr & vbLf & " Try again after printing is completed."
		Public Const MSG_03_037 As String = "Cannot execute because another application is printing on cut sheet paper." & vbCr & vbLf & " Try again after printing is completed."
		Public Const MSG_03_038 As String = "Failed to start a thread."
		Public Const MSG_03_039 As String = "Failed to open a file." & vbCr & vbLf & "Check file path or authority."
		Public Const MSG_03_040 As String = "Specified file format is incorrect." & vbCr & vbLf & "Set correct file format."
		Public Const MSG_03_041 As String = "Cannot print in specified size." & vbCr & vbLf & "Set printing area correctly."
		Public Const MSG_03_042 As String = "Data not found."
		Public Const MSG_03_043 As String = "Scanning is not started." & vbCr & vbLf & " Try again."
		Public Const MSG_03_044 As String = "Failed to detect barcode."
		Public Const MSG_03_045 As String = "Failed to parse the MICR strings."
		Public Const MSG_03_046 As String = "It did not pass in IQA test."
		Public Const MSG_03_047 As String = "Printing data length exceeds the paper size."
		Public Const MSG_03_048 As String = "Printing data is not received."
		Public Const MSG_03_049 As String = "Image file read error."
		Public Const MSG_03_050 As String = "Ink is low." & vbLf & "Replace the ink cartridge."
		Public Const MSG_04_000 As String = "Already launched the application."
		Public Const MSG_05_000 As String = "Cannot create a folder."
		Public Const MSG_05_001 As String = "Cannot create a file."
		Public Const MSG_06_000 As String = "Failed to load a module." & vbCr & vbLf & "Please make sure the driver is installed."

		Public Const CAPTION_00_000 As String = "SUCCESS"
		Public Const CAPTION_01_000 As String = "Roll Paper Empty"
		Public Const CAPTION_01_001 As String = "Cover Open"
		Public Const CAPTION_01_002 As String = "Replace ink cartridge"
		Public Const CAPTION_02_000 As String = "Paper Jam Error"
		Public Const CAPTION_03_000 As String = "ERR_TYPE (-10)"
		Public Const CAPTION_03_001 As String = "ERR_OPENED (-20)"
		Public Const CAPTION_03_002 As String = "ERR_NO_PRINTER (-30)"
		Public Const CAPTION_03_003 As String = "ERR_NO_TARGET(-40)"
		Public Const CAPTION_03_004 As String = "ERR_NO_MEMORY (-50)"
		Public Const CAPTION_03_005 As String = "ERR_HANDLE (-60)"
		Public Const CAPTION_03_006 As String = "ERR_TIMEOUT (-70)"
		Public Const CAPTION_03_007 As String = "ERR_ACCESS (-80)"
		Public Const CAPTION_03_008 As String = "ERR_PARAM (-90)"
		Public Const CAPTION_03_009 As String = "ERR_NOT_SUPPORT (-100)"
		Public Const CAPTION_03_010 As String = "ERR_OFFLINE (-110)"
		Public Const CAPTION_03_011 As String = "ERR_NOT_EPSON (-120)"
		Public Const CAPTION_03_012 As String = "ERR_WITHOUT_CB (-130)"
		Public Const CAPTION_03_013 As String = "ERR_BUFFER_OVER_FLOW (-140)"
		Public Const CAPTION_03_014 As String = "ERR_REGISTRY (-150)"
		Public Const CAPTION_03_015 As String = "ERR_PAPERINSERT_TIMEOUT (-300)"
		Public Const CAPTION_03_016 As String = "ERR_EXEC_FUNCTION (-310) "
		Public Const CAPTION_03_017 As String = "ERR_EXEC_MICR (-320)"
		Public Const CAPTION_03_018 As String = "ERR_EXEC_SCAN (-330)"
		Public Const CAPTION_03_019 As String = "ERR_RESET(-400)"
		Public Const CAPTION_03_020 As String = "ERR_ABORT (-430)"
		Public Const CAPTION_03_021 As String = "ERR_MICR (-440)"
		Public Const CAPTION_03_022 As String = "ERR_SCAN (-450)"
		Public Const CAPTION_03_023 As String = "ERR_LINE_OVERFLOW (-460)"
		Public Const CAPTION_03_024 As String = "ERR_PAPER_PILED(-1010)"
		Public Const CAPTION_03_025 As String = "ERR_PAPER_JAM(-1020)"
		Public Const CAPTION_03_026 As String = "ERR_COVER_OPEN(-1030)"
		Public Const CAPTION_03_027 As String = "ERR_MICR_NODATA(-1040)"
		Public Const CAPTION_03_028 As String = "ERR_MICR_BADDATA(-1050)"
		Public Const CAPTION_03_029 As String = "ERR_MICR_NOISE(-1070)"
		Public Const CAPTION_03_030 As String = "ERR_SCN_COMPRESS(-1080)"
		Public Const CAPTION_03_031 As String = "ERR_PAPER_EXIST(-1090)"
		Public Const CAPTION_03_032 As String = "ERR_PAPER_INSERT(-1100)"
		Public Const CAPTION_03_033 As String = "ERR_EXEC_SCAN_CHECK_CONTINUOUS (-2000)"
		Public Const CAPTION_03_034 As String = "ERR_EXEC_SCAN_CHECK_ONEBYONE (-2010)"
		Public Const CAPTION_03_035 As String = "ERR_EXEC_SCAN_IDCARD (-2020)"
		Public Const CAPTION_03_036 As String = "ERR_EXEC_PRINT_ROLLPAPER (-2030)"
		Public Const CAPTION_03_037 As String = "ERR_EXEC_PRINT_VALIDATION (-2040)"
		Public Const CAPTION_03_038 As String = "ERR_THREAD (-420)"
		Public Const CAPTION_03_039 As String = "ERR_IMAGE_FILEOPEN(-230)"
		Public Const CAPTION_03_040 As String = "ERR_IMAGE_UNKNOWNFORMAT(-240)"
		Public Const CAPTION_03_041 As String = "ERR_SIZE(-1000)"
		Public Const CAPTION_03_042 As String = "ERR_NOT_FOUND (-220)"
		Public Const CAPTION_03_043 As String = "ERR_NOT_EXEC (-470)"
		Public Const CAPTION_03_044 As String = "ERR_BARCODE_NODATA(-1130)"
		Public Const CAPTION_03_045 As String = "ERR_MICR_PARSE(-1060)"
		Public Const CAPTION_03_046 As String = "ERR_SCN_IQA(-1120)"
		Public Const CAPTION_03_047 As String = "ERR_PRINT_DATA_LENGTH_EXCEED(-1180)"
		Public Const CAPTION_03_048 As String = "ERR_PRINT_DATA_UNRECEIVE(-1190)"
		Public Const CAPTION_03_049 As String = "ERR_IMAGE_FILEREAD(-290)"
		Public Const CAPTION_03_051 As String = "ERR_INK_STATUS(-1200)"
		Public Const CAPTION_04_000 As String = "Duplicate Running"
		Public Const CAPTION_05_000 As String = "Fail to Create Folder"
		Public Const CAPTION_05_001 As String = "Fail to Create File"
		Public Const CAPTION_06_000 As String = "Fail to Load Module"
	End Class
End Namespace
