using System;
using com.epson.bank.driver;

namespace TMS_Sample
{
	class COcrABResult
	{
		int						m_nTransactionNumber;
		ErrorCode				m_errRet;
		string					m_szOcrStr;
		MFOcrAb.OcrReliableInfoClass m_stOcrReliableInfo;

		public COcrABResult()
		{
			m_nTransactionNumber	= 0;
			m_errRet				= ErrorCode.SUCCESS;
			m_szOcrStr				= null;
		}

		public void SetTransactionNumber(int nTransactionNumber)
		{
			m_nTransactionNumber = nTransactionNumber;
		}

		public int GetTransactionNumber()
		{
			return m_nTransactionNumber;
		}

		public void SetResult(ErrorCode errRet)
		{
			m_errRet = errRet;
		}

		public ErrorCode GetResult()
		{
			return m_errRet;
		}

		public void	 SetOcrStr(string szOcrStr)
		{
			m_szOcrStr = szOcrStr.TrimEnd('\0');
		}

		public string GetOcrStr()
		{
			return m_szOcrStr;
		}

		public void SetOcrReliableInfo(MFOcrAb.OcrReliableInfoClass stOcrReliableInfo)
		{
			m_stOcrReliableInfo = stOcrReliableInfo;
		}

		public MFOcrAb.OcrReliableInfoClass	GetOcrReliableInfo()
		{
			return m_stOcrReliableInfo;
		}
	}
}
