using System;
using com.epson.bank.driver;

namespace TMS_Sample
{
	public class CIqaResult
	{
		MfIqaResultValue m_eUndersize;
		MfIqaResultValue m_eOversize;
		MfIqaResultValue m_eMinCompressed;
		MfIqaResultValue m_eMaxCompressed;
		MfIqaResultValue m_eFrontRearImageMismatch;
		MfIqaResultValue m_eImageTooLight;
		MfIqaResultValue m_eImageTooDark;
		MfIqaResultValue m_eHorizontalStreaksPresent;
		MfIqaResultValue m_eSpotNosise;
		MfIqaResultValue m_eOutOfFocus;
		MfIqaResultValue m_eFoldedTornCorner;
		MfIqaResultValue m_eFoldedTornEdge;
		MfIqaResultValue m_eFramingError;
		MfIqaResultValue m_eExcessiveSkew;
		MfIqaResultValue m_eCarbonStripDetection;
		MfIqaResultValue m_ePiggyback;
		MfIqaResultValue m_ePartialImage;

		public CIqaResult()
		{
			m_eUndersize = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eOversize = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eMinCompressed = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eMaxCompressed = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eFrontRearImageMismatch = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eImageTooLight = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eImageTooDark = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eHorizontalStreaksPresent = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eSpotNosise = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eOutOfFocus = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eFoldedTornCorner = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eFoldedTornEdge = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eFramingError = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eExcessiveSkew = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_eCarbonStripDetection = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_ePiggyback = MfIqaResultValue.IQARESULT_NOT_TESTED;
			m_ePartialImage = MfIqaResultValue.IQARESULT_NOT_TESTED;
		}
		
		public void SetUnderSize(MfIqaResultValue eUndersize)
		{
			m_eUndersize = eUndersize;
		}
		public MfIqaResultValue GetUnderSize()
		{
			return m_eUndersize;
		}
		public void SetOverSize(MfIqaResultValue eOversize)
		{
			m_eOversize = eOversize;
		}
		public MfIqaResultValue GetOverSize()
		{
			return m_eOversize;
		}
		public void SetMinCompressed(MfIqaResultValue eMinCompressed)
		{
			m_eMinCompressed = eMinCompressed;
		}
		public MfIqaResultValue GetMinCompressed()
		{
			return m_eMinCompressed;
		}
		public void SetMaxCompressed(MfIqaResultValue eMaxCompressed)
		{
			m_eMaxCompressed = eMaxCompressed;
		}
		public MfIqaResultValue GetMaxCompressed()
		{
			return m_eMaxCompressed;
		}
		public void SetFrontRearImageMismatch(MfIqaResultValue eFrontRearImageMismatch)
		{
			m_eFrontRearImageMismatch = eFrontRearImageMismatch;
		}
		public MfIqaResultValue GetFrontRearImageMismatch()
		{
			return m_eFrontRearImageMismatch;
		}
		public void SetImageTooLight(MfIqaResultValue eImageTooLight)
		{
			m_eImageTooLight = eImageTooLight;
		}
		public MfIqaResultValue GetImageTooLight()
		{
			return m_eImageTooLight;
		}
		public void SetImageTooDark(MfIqaResultValue eImageTooDark)
		{
			m_eImageTooDark = eImageTooDark;
		}
		public MfIqaResultValue GetImageTooDark()
		{
			return m_eImageTooDark;
		}
		public void SetHorizontalStreaksPresent(MfIqaResultValue eHorizontalStreaksPresent)
		{
			m_eHorizontalStreaksPresent = eHorizontalStreaksPresent;
		}
		public MfIqaResultValue GetHorizontalStreaksPresent()
		{
			return m_eHorizontalStreaksPresent;
		}
		public void SetSpotNosise(MfIqaResultValue eSpotNosise)
		{
			m_eSpotNosise = eSpotNosise;
		}
		public MfIqaResultValue GetSpotNosise()
		{
			return m_eSpotNosise;
		}
		public void SetOutOfFocus(MfIqaResultValue eOutOfFocus)
		{
			m_eOutOfFocus = eOutOfFocus;
		}
		public MfIqaResultValue GetOutOfFocus()
		{
			return m_eOutOfFocus;
		}
		public void SetFoldedTornCorner(MfIqaResultValue eFoldedTornCorner)
		{
			m_eFoldedTornCorner = eFoldedTornCorner;
		}
		public MfIqaResultValue GetFoldedTornCorner()
		{
			return m_eFoldedTornCorner;
		}
		public void SetFoldedTornEdge(MfIqaResultValue eFoldedTornEdge)
		{
			m_eFoldedTornEdge = eFoldedTornEdge;
		}
		public MfIqaResultValue GetFoldedTornEdge()
		{
			return m_eFoldedTornEdge;
		}
		public void SetFramingError(MfIqaResultValue eFramingError)
		{
			m_eFramingError = eFramingError;
		}
		public MfIqaResultValue GetFramingError()
		{
			return m_eFramingError;
		}
		public void SetExcessiveSkew(MfIqaResultValue eExcessiveSkew)
		{
			m_eExcessiveSkew = eExcessiveSkew;
		}
		public MfIqaResultValue GetExcessiveSkew()
		{
			return m_eExcessiveSkew;
		}
		public void SetCarbonStripDetection(MfIqaResultValue eCarbonStripDetection)
		{
			m_eCarbonStripDetection = eCarbonStripDetection;
		}
		public MfIqaResultValue GetCarbonStripDetection()
		{
			return m_eCarbonStripDetection;
		}
		public void SetPiggyback(MfIqaResultValue ePggyback)
		{
			m_ePiggyback = ePggyback;
		}
		public MfIqaResultValue GetPiggyback()
		{
			return m_ePiggyback;
		}
		public void SetPartialImage(MfIqaResultValue ePartialImage)
		{
			m_ePartialImage = ePartialImage;
		}
		public MfIqaResultValue GetPartialImage()
		{
			return m_ePartialImage;
		}
	}
}

