using System;
using com.epson.bank.driver;

namespace TMS_Sample
{
	class CBarcodeParam
	{
		MfBarcodeSymbol m_eBarcodeTypeMask;
		MfErrorSelect m_eBarcodeDetect;
		MfEject m_eBarcodeEject;
		MfCancel m_eBarcodeCancel;

		public CBarcodeParam()
		{
			m_eBarcodeTypeMask = MfBarcodeSymbol.MF_BARCODE_SYMBOL_CODE128;
			m_eBarcodeDetect   = MfErrorSelect.MF_ERROR_SELECT_NODETECT;
			m_eBarcodeEject    = MfEject.MF_EJECT_SUB_POCKET;
			m_eBarcodeCancel   = MfCancel.MF_CANCEL_DISABLE;
		}

		public void SetBarcodeTypeMask(MfBarcodeSymbol eBarcodeTypeMask)
		{
			m_eBarcodeTypeMask = eBarcodeTypeMask;
		}

		public MfBarcodeSymbol GetBarcodeTypeMask()
		{
			return m_eBarcodeTypeMask;
		}

		public void SetBarcodeDetect(MfErrorSelect eBarcodeDetect)
		{
			m_eBarcodeDetect = eBarcodeDetect;
		}

		public MfErrorSelect GetBarcodeDetect()
		{
			return m_eBarcodeDetect;
		}

		public void SetBarcodeEject(MfEject eBarcodeEject)
		{
			m_eBarcodeEject = eBarcodeEject;
		}

		public MfEject GetBarcodeEject()
		{
			return m_eBarcodeEject;
		}

		public void SetBarcodeCancel(MfCancel eBarcodeCancel)
		{
			m_eBarcodeCancel = eBarcodeCancel;
		}

		public MfCancel GetBarcodeCancel()
		{
			return m_eBarcodeCancel;
		}
	}
}
