#include "stdafx.h"
#include "EndorseParam.h"

CEndorseParam::CEndorseParam(void)
{
	m_byEndorseType	= MF_ST_PHYSICAL_ENDORSEMENT;
	m_bEnableEndorsePrint = false;
	m_bPayeeEndorse = false;
}

CEndorseParam::~CEndorseParam(void)
{
}

void CEndorseParam::SetEndorseType(BYTE byEndorseType)
{
	m_byEndorseType = byEndorseType;
}

BYTE CEndorseParam::GetEndorseType(void) const
{
	return m_byEndorseType;
}

void CEndorseParam::SetEnableEndorsePrint(bool bEnableEndorsePrint)
{
	m_bEnableEndorsePrint = bEnableEndorsePrint;
}

bool CEndorseParam::GetEnableEndorsePrint(void) const
{
	return m_bEnableEndorsePrint;
}

void CEndorseParam::SetPayeeEndorse(bool bPayeeEndorse)
{
	m_bPayeeEndorse = bPayeeEndorse;
}

bool CEndorseParam::GetPayeeEndorse(void) const
{
	return m_bPayeeEndorse;
}
