Imports com.epson.bank.driver

Namespace TMS_Sample
	Class CEndorseParam
		Private m_eEndorseType As PrintingStation
		Private m_bEnableEndorsePrint As Boolean
		Private m_bPayeeEndorse As Boolean

		Public Sub New()
			m_eEndorseType = PrintingStation.MF_ST_PHYSICAL_ENDORSEMENT
			m_bEnableEndorsePrint = False
			m_bPayeeEndorse = False
		End Sub

		Public Sub SetEndorseType(eEndorseType As PrintingStation)
			m_eEndorseType = eEndorseType
		End Sub

		Public Function GetEndorseType() As PrintingStation
			Return m_eEndorseType
		End Function

		Public Sub SetEnableEndorsePrint(bEnableEndorsePrint As Boolean)
			m_bEnableEndorsePrint = bEnableEndorsePrint
		End Sub

		Public Function GetEnableEndorsePrint() As Boolean
			Return m_bEnableEndorsePrint
		End Function

		Public Sub SetPayeeEndorse(bPayeeEndorse As Boolean)
			m_bPayeeEndorse = bPayeeEndorse
		End Sub

		Public Function GetPayeeEndorse() As Boolean
			Return m_bPayeeEndorse
		End Function
	End Class
End Namespace
