Imports com.epson.bank.driver

Namespace TMS_Sample
	Class CScanParam
		Private m_eLightSourceToScan As ImageTypeOption
		Private m_eRGBColorDepth As ColorDepth
		Private m_eIRColorDepth As ColorDepth
		Private m_eResolution As MfScanDpi
		Private m_eScanMedia As ScanUnit
		Private m_nNumberOfDocuments As Byte

		Public Sub New()
			m_eLightSourceToScan = 0
			m_eRGBColorDepth = 0
			m_eIRColorDepth = 0
			m_eResolution = 0
			m_eScanMedia = 0
			m_nNumberOfDocuments = 0
		End Sub

		Public Sub SetLightSourceToScan(eLightSourceToScan As ImageTypeOption)
			m_eLightSourceToScan = eLightSourceToScan
		End Sub

		Public Function GetLightSourceToScan() As ImageTypeOption
			Return m_eLightSourceToScan
		End Function

		Public Sub SetRGBColorDepth(eColorDepth As ColorDepth)
			m_eRGBColorDepth = eColorDepth
		End Sub

		Public Function GetRGBColorDepth() As ColorDepth
			Return m_eRGBColorDepth
		End Function

		Public Sub SetIRColorDepth(eColorDepth As ColorDepth)
			m_eIRColorDepth = eColorDepth
		End Sub

		Public Function GetIRColorDepth() As ColorDepth
			Return m_eIRColorDepth
		End Function

		Public Sub SetResolution(eResolution As MfScanDpi)
			m_eResolution = eResolution
		End Sub

		Public Function GetResolution() As MfScanDpi
			Return m_eResolution
		End Function

		Public Sub SetScanMedia(eScanMedia As ScanUnit)
			m_eScanMedia = eScanMedia
		End Sub

		Public Function GetScanMedia() As ScanUnit
			Return m_eScanMedia
		End Function

		Public Sub SetNumberOfDocuments(nNumberOfDocuments As Byte)
			m_nNumberOfDocuments = nNumberOfDocuments
		End Sub

		Public Function GetNumberOfDocuments() As Byte
			Return m_nNumberOfDocuments
		End Function
	End Class
End Namespace
