Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms

Namespace TMS_Sample
	Public Partial Class ConfirmationForm
		Inherits Form
		Private m_objConfirmationData As ConfirmationData

		Public Sub New()
			InitializeComponent()
			m_objConfirmationData = New ConfirmationData()
		End Sub
		Public Sub GetConfirmationData(ByRef objConfirmationData As ConfirmationData)
			If objConfirmationData IsNot Nothing Then
				objConfirmationData.Copy(m_objConfirmationData)
			End If
		End Sub

		Private Sub btnOk_Click(sender As Object, e As EventArgs)
			If btnRadioEPMainPocket.Checked = True Then
				m_objConfirmationData.nRadio_Confirmation_EjectPocket = ConstComVal.VAL_CONFIRMATIONDLG_RADIO_EP_MAINPOCKET
			ElseIf btnRadioEPSubPocket.Checked = True Then
				m_objConfirmationData.nRadio_Confirmation_EjectPocket = ConstComVal.VAL_CONFIRMATIONDLG_RADIO_EP_SUBPOCKET
			End If

			m_objConfirmationData.bCheck_Confirmation_Cancel = btnCheckCMCancel.Checked

			Me.DialogResult = DialogResult.OK
			Me.Close()
		End Sub

		Private Sub btnCancel_Click(sender As Object, e As EventArgs)
			Me.DialogResult = DialogResult.Cancel
			Me.Close()
		End Sub
	End Class
End Namespace
