Imports com.epson.bank.driver

Namespace TMS_Sample
	Public Class CMaintenanceCounter
		' uint -> uint 
		Private m_nImageScannedCheckPaper As Integer
		Private m_nImageScannedCard As Integer
		Private m_nLineFeeds As Integer
		' S9000 only
		Private m_nPumpOperation As Integer
		Private m_nMicrReads As Integer
		Private m_nHeadShotA As Integer
		Private m_nHeadShotB As Integer
		Private m_nHeadEnergization As Integer
		' S9000 only
		Private m_nAsfSendingOff As Integer
		Private m_nHeadLineFeeds As Integer
		' S9000 only
		Private m_nAutoCutter As Integer
		' S9000 only
		Private m_nHopper As Integer
		Private m_nPocketSelect As Integer
		Private m_nDeviceOperationTime As Integer

		Public Sub New()
			m_nImageScannedCheckPaper = 0
			m_nImageScannedCard = 0
			m_nLineFeeds = 0
			' S9000 only
			m_nPumpOperation = 0
			m_nMicrReads = 0
			m_nHeadShotA = 0
			m_nHeadShotB = 0
			m_nHeadEnergization = 0
			' S9000 only
			m_nAsfSendingOff = 0
			m_nHeadLineFeeds = 0
			' S9000 only
			m_nAutoCutter = 0
			' S9000 only
			m_nHopper = 0
			m_nPocketSelect = 0
			m_nDeviceOperationTime = 0
		End Sub

		Public Sub SetImageScannedCheckPaper(nImageScannedCheckPaper As Integer)
			m_nImageScannedCheckPaper = nImageScannedCheckPaper
		End Sub

		Public Function GetImageScannedCheckPaper() As Integer
			Return m_nImageScannedCheckPaper
		End Function

		Public Sub SetImageScannedCard(nImageScannedCard As Integer)
			m_nImageScannedCard = nImageScannedCard
		End Sub

		Public Function GetImageScannedCard() As Integer
			Return m_nImageScannedCard
		End Function

		Public Sub SetLineFeeds(dwLineFeeds As Integer)
		' S9000 only
			m_nLineFeeds = dwLineFeeds
		End Sub

		Public Function GetLineFeeds() As Integer
		' S9000 only
			Return m_nLineFeeds
		End Function

		Public Sub SetPumpOperation(nPumpOperation As Integer)
			m_nPumpOperation = nPumpOperation
		End Sub

		Public Function GetPumpOperation() As Integer
			Return m_nPumpOperation
		End Function

		Public Sub SetMicrReads(nMicrReads As Integer)
			m_nMicrReads = nMicrReads
		End Sub

		Public Function GetMicrReads() As Integer
			Return m_nMicrReads
		End Function

		Public Sub SetHeadShotA(nHeadShotA As Integer)
			m_nHeadShotA = nHeadShotA
		End Sub

		Public Function GetHeadShotA() As Integer
			Return m_nHeadShotA
		End Function

		Public Sub SetHeadShotB(nHeadShotB As Integer)
			m_nHeadShotB = nHeadShotB
		End Sub

		Public Function GetHeadShotB() As Integer
			Return m_nHeadShotB
		End Function

		Public Sub SetHeadEnergization(nHeadEnergization As Integer)
		' S9000 only
			m_nHeadEnergization = nHeadEnergization
		End Sub

		Public Function GetHeadEnergization() As Integer
		' S9000 only
			Return m_nHeadEnergization
		End Function

		Public Sub SetAsfSendingOff(nAsfSendingOff As Integer)
			m_nAsfSendingOff = nAsfSendingOff
		End Sub

		Public Function GetAsfSendingOff() As Integer
			Return m_nAsfSendingOff
		End Function

		Public Sub SetHeadLineFeeds(nHeadLineFeeds As Integer)
		' S9000 only
			m_nAutoCutter = nHeadLineFeeds
		End Sub

		Public Function GetHeadLineFeeds() As Integer
		' S9000 only
			Return m_nAutoCutter
		End Function

		Public Sub SetAutoCutter(nAutoCutter As Integer)
		' S9000 only
			m_nAutoCutter = nAutoCutter
		End Sub

		Public Function GetAutoCutter() As Integer
		' S9000 only
			Return m_nAutoCutter
		End Function

		Public Sub SetHopper(nHopper As Integer)
			m_nHopper = nHopper
		End Sub

		Public Function GetHopper() As Integer
			Return m_nHopper
		End Function

		Public Sub SetPocketSelect(nPocketSelect As Integer)
			m_nPocketSelect = nPocketSelect
		End Sub

		Public Function GetPocketSelect() As Integer
			Return m_nPocketSelect
		End Function

		Public Sub SetDeviceOperationTime(nDeviceOperationTime As Integer)
			m_nDeviceOperationTime = nDeviceOperationTime
		End Sub

		Public Function GetDeviceOperationTime() As Integer
			Return m_nDeviceOperationTime
		End Function
	End Class
End Namespace
