
Namespace TMS_Sample
	Public Class StructByStep
		' Step 2
		Public nRadio_ScanningMedia As Integer
		Public nRadio_LightSourceToScan As Integer
		Public nRadio_RGBColorDepth As Integer
		Public nRadio_IRColorDepth As Integer
		Public nCombo_Resolution As Integer
		Public byNumeric_NumberOfDocuments As Byte
		Public bCheck_Scan_SaveFile As Boolean
		Public bIsScanningCardIR1PassSupported As Boolean

		' Step 3
		Public nRadio_MICRFont As Integer
		Public bCheck_MICR_ClearSpace As Boolean
		Public bCheck_MICR_SaveFile As Boolean

		' Step 8
		Public bCheck_PI_Detect As Boolean
		Public bCheck_PI_Cancel As Boolean
		Public nCombo_PI_EjectPocket As Integer
		Public bCheck_NO_Detect As Boolean
		Public bCheck_NO_Cancel As Boolean
		Public nCombo_NO_EjectPocket As Integer
		Public bCheck_DF_Detect As Boolean
		Public bCheck_DF_Cancel As Boolean
		Public nCombo_DF_EjectPocket As Integer
		Public bCheck_BD_Detect As Boolean
		Public bCheck_BD_Cancel As Boolean
		Public nCombo_BD_EjectPocket As Integer
		Public bCheck_ND_Detect As Boolean
		Public bCheck_ND_Cancel As Boolean
		Public nCombo_ND_EjectPocket As Integer
		Public bCheck_BA_Detect As Boolean
		Public bCheck_BA_Cancel As Boolean
		Public nCombo_BA_EjectPocket As Integer

		' Step 8
		Public bCheck_BT_SymbolCodabar As Boolean
		Public bCheck_BT_SymbolCode128 As Boolean
		Public bCheck_BT_SymbolCode39 As Boolean
		Public bCheck_BT_SymbolITF As Boolean
		Public bCheck_BT_SymbolEAN As Boolean
		Public bCheck_BT_SymbolUPCA As Boolean
		Public bCheck_BT_SymbolUPCE As Boolean

		Public Sub New()
			' Step 2
			nRadio_ScanningMedia = ConstComVal.VAL_CONFIGDLG_RADIO_SM_CHECKPAPER
			nRadio_LightSourceToScan = ConstComVal.VAL_CONFIGDLG_RADIO_IC_RGB
			nRadio_RGBColorDepth = ConstComVal.VAL_CONFIGDLG_RADIO_RGBCD_COLOR
			nRadio_IRColorDepth = ConstComVal.VAL_CONFIGDLG_RADIO_IRCD_GRAY
			bCheck_Scan_SaveFile = ConstComVal.VAL_CONFIGDLG_CHECK_SC_SAVEFILE_ON
			nCombo_Resolution = ConstComVal.VAL_CONFIGDLG_COMBO_RE_200200
			bIsScanningCardIR1PassSupported = False

			' Step 3
			nRadio_MICRFont = ConstComVal.VAL_CONFIGDLG_RADIO_MF_E13B
			bCheck_MICR_ClearSpace = ConstComVal.VAL_CONFIGDLG_CHECK_MI_CLEARSPACE_OFF
			bCheck_MICR_SaveFile = ConstComVal.VAL_CONFIGDLG_CHECK_MI_SAVEFILE_OFF

			' Step 8
			bCheck_PI_Detect = ConstComVal.VAL_CONFIGDLG_CHECK_PI_DETECT_OFF
			bCheck_PI_Cancel = ConstComVal.VAL_CONFIGDLG_CHECK_PI_CANCEL_OFF
			nCombo_PI_EjectPocket = ConstComVal.VAL_CONFIGDLG_COMBO_PI_EP_MAINPOCKET
			bCheck_NO_Detect = ConstComVal.VAL_CONFIGDLG_CHECK_NO_DETECT_OFF
			bCheck_NO_Cancel = ConstComVal.VAL_CONFIGDLG_CHECK_NO_CANCEL_OFF
			nCombo_NO_EjectPocket = ConstComVal.VAL_CONFIGDLG_COMBO_NO_EP_MAINPOCKET
			bCheck_DF_Detect = ConstComVal.VAL_CONFIGDLG_CHECK_DF_DETECT_OFF
			bCheck_DF_Cancel = ConstComVal.VAL_CONFIGDLG_CHECK_DF_CANCEL_OFF
			nCombo_DF_EjectPocket = ConstComVal.VAL_CONFIGDLG_COMBO_DF_EP_MAINPOCKET
			bCheck_BD_Detect = ConstComVal.VAL_CONFIGDLG_CHECK_BD_DETECT_OFF
			bCheck_BD_Cancel = ConstComVal.VAL_CONFIGDLG_CHECK_BD_CANCEL_OFF
			nCombo_BD_EjectPocket = ConstComVal.VAL_CONFIGDLG_COMBO_BD_EP_MAINPOCKET
			bCheck_ND_Detect = ConstComVal.VAL_CONFIGDLG_CHECK_ND_DETECT_OFF
			bCheck_ND_Cancel = ConstComVal.VAL_CONFIGDLG_CHECK_ND_CANCEL_OFF
			nCombo_ND_EjectPocket = ConstComVal.VAL_CONFIGDLG_COMBO_ND_EP_MAINPOCKET
			bCheck_BA_Detect = ConstComVal.VAL_CONFIGDLG_CHECK_BA_DETECT_OFF
			bCheck_BA_Cancel = ConstComVal.VAL_CONFIGDLG_CHECK_BA_CANCEL_OFF
			nCombo_BA_EjectPocket = ConstComVal.VAL_CONFIGDLG_COMBO_BA_EP_MAINPOCKET

			' Step 8
			bCheck_BT_SymbolCodabar = False
			bCheck_BT_SymbolCode128 = False
			bCheck_BT_SymbolCode39 = False
			bCheck_BT_SymbolITF = False
			bCheck_BT_SymbolEAN = False
			bCheck_BT_SymbolUPCA = False
			bCheck_BT_SymbolUPCE = False
		End Sub

		Public Sub Copy(sData As StructByStep)
			' Step 2
			nRadio_ScanningMedia = sData.nRadio_ScanningMedia
			nRadio_LightSourceToScan = sData.nRadio_LightSourceToScan
			nRadio_RGBColorDepth = sData.nRadio_RGBColorDepth
			nRadio_IRColorDepth = sData.nRadio_IRColorDepth
			nCombo_Resolution = sData.nCombo_Resolution
			byNumeric_NumberOfDocuments = sData.byNumeric_NumberOfDocuments
			bCheck_Scan_SaveFile = sData.bCheck_Scan_SaveFile
			bIsScanningCardIR1PassSupported = sData.bIsScanningCardIR1PassSupported

			' Step 3
			nRadio_MICRFont = sData.nRadio_MICRFont
			bCheck_MICR_ClearSpace = sData.bCheck_MICR_ClearSpace
			bCheck_MICR_SaveFile = sData.bCheck_MICR_SaveFile

			' Step 8
			bCheck_PI_Detect = sData.bCheck_PI_Detect
			bCheck_PI_Cancel = sData.bCheck_PI_Cancel
			nCombo_PI_EjectPocket = sData.nCombo_PI_EjectPocket
			bCheck_NO_Detect = sData.bCheck_NO_Detect
			bCheck_NO_Cancel = sData.bCheck_NO_Cancel
			nCombo_NO_EjectPocket = sData.nCombo_NO_EjectPocket
			bCheck_DF_Detect = sData.bCheck_DF_Detect
			bCheck_DF_Cancel = sData.bCheck_DF_Cancel
			nCombo_DF_EjectPocket = sData.nCombo_DF_EjectPocket
			bCheck_BD_Detect = sData.bCheck_BD_Detect
			bCheck_BD_Cancel = sData.bCheck_BD_Cancel
			nCombo_BD_EjectPocket = sData.nCombo_BD_EjectPocket
			bCheck_ND_Detect = sData.bCheck_ND_Detect
			bCheck_ND_Cancel = sData.bCheck_ND_Cancel
			nCombo_ND_EjectPocket = sData.nCombo_ND_EjectPocket
			bCheck_BA_Detect = sData.bCheck_BA_Detect
			bCheck_BA_Cancel = sData.bCheck_BA_Cancel
			nCombo_BA_EjectPocket = sData.nCombo_BA_EjectPocket

			' Step 8
			bCheck_BT_SymbolCodabar = sData.bCheck_BT_SymbolCodabar
			bCheck_BT_SymbolCode128 = sData.bCheck_BT_SymbolCode128
			bCheck_BT_SymbolCode39 = sData.bCheck_BT_SymbolCode39
			bCheck_BT_SymbolITF = sData.bCheck_BT_SymbolITF
			bCheck_BT_SymbolEAN = sData.bCheck_BT_SymbolEAN
			bCheck_BT_SymbolUPCA = sData.bCheck_BT_SymbolUPCA
			bCheck_BT_SymbolUPCE = sData.bCheck_BT_SymbolUPCE
		End Sub
	End Class
End Namespace
